function wplaysoundext(h)

MsgStr = { 'Prosím o definici oblasti která má být přehrána.'; ''; 
           'Pro označení oblasti použijte:'
           ' (i)  left-click pro označení záčátku oblasti ';
           '            (zobrazí se plná čára), a'; '';
           ' (ii) left-click levý klik pro označeni konce přehrávání.'
           '            (zobrazí se svislá čárkovaná čára).';''; 
           '';
           'Pro více detailů použij "help wdetail" v příkazovém řádku';
           'zobrazí se originální napověda původního kódu';};
       
% range = get(h.fig, 'UserData');
% range = floor( range * h.fs);
range1=floor((get(h.v1,'XData')*60-(h.delkaS*(h.part-1)))*h.fs);
range2=floor((get(h.v2,'XData')*60-(h.delkaS*(h.part-1)))*h.fs);

% if (range2(2)-range1(1)) <=0
if numel(range2)==1 || numel(range1)==1
    % play reverse - for curiosity or ....
    % soundsc( h.x(range(1):-1:range(2)), h.fs );
    msgbox(MsgStr, 'PT: ERROR', 'error');
    return;
end;   
    sound( h.x(range1(1):range2(2)), h.fs );    
end